<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Record.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.models</a> &gt; <span class="el_source">Record.java</span></div><h1>Record.java</h1><pre class="source lang-java linenums">package dev.team3.models;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.stereotype.Component;

import javax.persistence.*;
import java.util.Objects;

@Component
@Entity
@Table(name = &quot;record&quot;)
@JsonIgnoreProperties({&quot;handler&quot;, &quot;hibernateLazyInitializer&quot;})
public class Record {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = &quot;record_id&quot;)
    private int id;

    @Column(name = &quot;game_id&quot;)
    private int gameId;

    private double amount;


    @SuppressWarnings(&quot;unchecked&quot;)
    @JsonProperty(&quot;account&quot;)
    @ManyToOne
    @JoinColumn(name = &quot;account_id&quot;)
    private Account account;

<span class="fc" id="L33">    public Record(){</span>

<span class="fc" id="L35">    }</span>
    //record constructor created by carlos for testing
<span class="nc" id="L37">    public Record(int id, int gameId, double amount, Account account) {</span>
<span class="nc" id="L38">        this.id = id;</span>
<span class="nc" id="L39">        this.gameId = gameId;</span>
<span class="nc" id="L40">        this.amount = amount;</span>
<span class="nc" id="L41">        this.account = account;</span>
<span class="nc" id="L42">    }</span>

    public int getId() {
<span class="fc" id="L45">        return id;</span>
    }

    public void setId(int id) {
<span class="fc" id="L49">        this.id = id;</span>
<span class="fc" id="L50">    }</span>

    public int getGameId() {
<span class="fc" id="L53">        return gameId;</span>
    }

    public void setGameId(int gameId) {
<span class="fc" id="L57">        this.gameId = gameId;</span>
<span class="fc" id="L58">    }</span>

    public double getAmount() {
<span class="fc" id="L61">        return amount;</span>
    }

    public void setAmount(double amount) {
<span class="fc" id="L65">        this.amount = amount;</span>
<span class="fc" id="L66">    }</span>

    public Account getAccount() {
<span class="fc" id="L69">        return account;</span>
    }

    public void setAccount(Account account) {
<span class="fc" id="L73">        this.account = account;</span>
<span class="fc" id="L74">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="pc bpc" id="L78" title="1 of 2 branches missed.">        if (this == o) return true;</span>
<span class="pc bpc" id="L79" title="2 of 4 branches missed.">        if (o == null || getClass() != o.getClass()) return false;</span>
<span class="fc" id="L80">        Record record = (Record) o;</span>
<span class="pc bpc" id="L81" title="4 of 8 branches missed.">        return id == record.id &amp;&amp; gameId == record.gameId &amp;&amp; Double.compare(record.amount, amount) == 0 &amp;&amp; Objects.equals(account, record.account);</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L86">        return Objects.hash(id, gameId, amount, account);</span>
    }

    public String toStringAlternative() {
<span class="fc" id="L90">        return &quot;Record{&quot; +</span>
                &quot;id=&quot; + id +
                &quot;, gameId=&quot; + gameId +
                &quot;, amount=&quot; + amount +
                &quot;, account=&quot; + account +
                '}';
    }
}




</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>